var cells=
[
["pronouns","THE ENGLISH PRONOUN","border:1px dashed gray;background:#f2f2f2;grid-column:6/span 2;grid-row:1;","fond","audio/pronouns.mp3"],
["word","A WORD THAT TAKES THE PLACE OF A NOUN","border:1px dashed gray;background:#f2f2f2;grid-column:5/span 4;grid-row:2;","fond","audio/word.mp3"],
["personal","PERSONAL PRONOUNS","border:1px dashed gray;background:#b5ffff;grid-column:1/span 4;grid-row:2;","fond","audio/personal.mp3"],
["represent","REPRESENT PEOPLE, PLACES OR THINGS<br><table style='width:100%'><tr><th>SUBJECT</th><td>I</td><td>YOU</td><td>HE SHE IT</td><td>WE</td><td>YOU</td><td>THEY</td></tr><tr><th>OBJECT</th>"+ "<td>ME</td><td>YOU</td><td>HIM HER IT</td><td>US</td><td>YOU</td><td>THEM</td></tr></table>","border:1px dashed gray;background:#d5ffff;grid-column:1/span 4;grid-row:3/span 2;","fond","audio/represent.mp3"],
["possessive","POSSESSIVE PRONOUNS","border:1px dashed gray;background:#ffb5ff;grid-column:1/span 4;grid-row:5;","fond","audio/possessive.mp3"],
["show","SHOW OWNERSHIP REPLACE NOUN PHRASES<br><br><table style='width:100%'><tr><td>MINE</td><td>YOURS</td><td>HIS HER ITS</td><td>OURS</td><td>YOURS</td><td>THEIRS</td></tr></table>","border:1px dashed gray;background:#ffd5ff;grid-column:1/span 4;grid-row:6/span 2;","fond","audio/show.mp3"],
["relative","RELATIVE PRONOUNS","border:1px dashed gray;background:#ffffb5;grid-column:1/span 4;grid-row:8;","fond","audio/relative.mp3"],
["link","LINK ONE PART OF A SENTENCE TO ANOTHER<br><br><table style='width:100%'><tr><td>WHO</td><td>WHOM</td><td>WHOSE</td><td>WHICH</td><td>THAT</td><td>WHAT</td></tr></table>","border:1px dashed gray;background:#ffffd5;grid-column:1/span 4;grid-row:9/span 2;","fond","audio/link.mp3"],
["indefinite","INDEFINITE PRONOUNS","border:1px dashed gray;background:#b5ffb5;grid-column:5/span 4;grid-row:4;","fond","audio/indefinite.mp3"],
["refer","DO NOT REFER TO ANY SPECIFIC PERSON OR THING<br><br><table style='width:100%'><tr><td>SOMEBODY/SOMEONE</td><td>SOMETHING</td><td>ANYBODY/ANYONE</td></tr><tr><td>ANYTHING</td><td>NOBODY/NO ONE</td><td>NOTHING</td></tr><tr><td>ALL</td><td>ANOTHER</td><td>BOTH</td></tr><tr><td>EACH</td><td>MANY</td><td>MOST</td></tr><tr><td>OTHER</td><td>SOME</td><td>FEW</td></tr><tr><td>NONE</td><td>SUCH</td><td></td></tr></table>","border:1px dashed gray;background:#d5ffd5;grid-column:5/span 4;grid-row:5/span 3;","fond","audio/refer.mp3"],
["reflexive","REFLEXIVE PRONOUNS","border:1px dashed gray;background:#ffb5b5;grid-column:9/span 4;grid-row:2;","fond","audio/reflexive.mp3"],
["back","REFER BACK TO AN EARLIER NOUN OR PRONOUN<br><br><table style='width:100%'><tr><td>MYSELF</td><td>YOURSELF</td><td>HIMSELF/HERSELF/ITSELF</td><td>OURSELVES</td><td>THEMSELVES</td></tr></table>","border:1px dashed gray;background:#ffd5d5;grid-column:9/span 4;grid-row:3/span 2;","fond","audio/back.mp3"],
["interrogative","INTERROGATIVE PRONOUNS","border:1px dashed gray;background:#b5b5ff;grid-column:9/span 4;grid-row:5;","fond","audio/interrogative.mp3"],
["used","USED TO ASK QUESTIONS<br><br><table style='width:100%'><tr><td>WHO</td><td>WHOM</td><td>WHAT</td><td>WHICH</td><td>WHOSE</td></tr></table>","border:1px dashed gray;background:#d5d5ff;grid-column:9/span 4;grid-row:6/span 2;","fond","audio/used.mp3"],
["demonstrative","DEMONSTRATIVE PRONOUNS","border:1px dashed gray;background:#c6c9ca;grid-column:9/span 4;grid-row:8;","fond","audio/demonstrative.mp3"],
["function","FUNCTION AS SUBJECTS OR OBJECTS<br><br><table style='width:100%'><tr><td>THIS</td><td>THAT</td><td>THESE</td><td>THOSE</td></tr></table>","border:1px dashed gray;background:#dadcdf;grid-column:9/span 4;grid-row:9/span 2;","fond","audio/function.mp3"],
["fond","","border-width:0px;background:#ffffff","fond",""],
];
var len = cells.length;	
function cleanButtons()
{	let y=document.getElementById(cells[0][0]);
	let h=document.getElementById(cells[1][0]);
	for (let b=0;b<len;b++)
	{	document.getElementById(cells[b][0]).style.background="white";
		document.getElementById(cells[b][0]).innerHTML="";
	}
	y.style.background="#dddddd";
	y.style.boxShadow="10px 10px 10px 10px lightgray";
	h.style.border="1px dashed gray";
	document.getElementById("fond").style.display="none";
}	
function showAll()
{	for(let i=0;i<len;i++)
	{	let k = document.getElementById(cells[i][0]);
		k.style=cells[i][2];
		k.innerHTML=cells[i][1];				
	}	
	document.getElementById("fond").style.display="none";	
}
window.onload = function ()
{	for (let g=1;g<len;g++)
	{	let k=document.getElementById(cells[g][0]);
		k.style=cells[g][2];
		k.style.background="#ffffff";
	}
	document.getElementById("fond").style.border="0px solid white";
	document.getElementById("pronouns").innerHTML=cells[0][1];
	document.getElementById("pronouns").style=cells[0][2];
	document.addEventListener("mouseover",eventOver);	
	function eventOver(e)
	{	for(let i=0;i<len;i++)
		{	let k = document.getElementById(cells[i][0]);
			if (k==e.target)
			{	k.style=cells[i][2];
				k.style.borderWidth="0px";
				k.style.boxShadow="10px 10px 10px 10px lightgray";	
				k.innerHTML=cells[i][1];
				document.getElementById(cells[i+1][0]).style=cells[i+1][2];
				document.getElementById("fond").style.display="none";
				displayAudio(cells[i][4]);
			}			
		}		
	}
	document.addEventListener("mouseout",eventOut);	
	function eventOut(e)
	{	for(let i=0;i<len;i++)
		{	let k = document.getElementById(cells[i][0]);
			if (k==e.target)
			{	k.style=cells[i][2];
				k.style.boxShadow="0px 0px 0px 0px gray";
				document.getElementById(cells[i+1][0]).style.border="1px dashed gray";
			}	
		}		
	}
	document.addEventListener("click",eventClick);	
	function eventClick(e)
	{	for(let i=1;i<len;i++)
		{	let k = document.getElementById(cells[i][0]);
			if (k==e.target)
			{	if (document.getElementById(cells[i][3]).style.display=="block")
				{	document.getElementById(cells[i][3]).style.display="none";
				}
				else
				{	document.getElementById(cells[i][3]).style.display="block"
				}
			}
		}	
		document.getElementById("fond").style.display="none";	
	}
return;
}
function displayAudio(audio)
{	let blob="<audio controls autoplay hidden>"+
	"<source src='"+audio+"' type='audio/ogg'>"+
	"<source src='"+audio+"' type='audio/mpeg'>"+	
	"Your browser does not support the audio element.</audio>";
	document.getElementById("sound").innerHTML=blob;	
}
let dim = false;
const BIBBI_WIDTH = "48%";
const BIBBI_TOP = "20%"
const BIBBI1_LEFT = "1%";
const BIBBI2_LEFT = "51%";
const BIBBI_MAX_HEIGTH = "70%";
const BIBBI_ENLARGE_WIDTH = "98%";
const BIBBI_ENLARGE_HEIGTH = "85%";
const BIBBI_ENLARGE_TOP = "10%";
function hideIt(qc)
{   let bibbis1=document.getElementsByClassName("bibbi1");
    let k=bibbis1.length;
    let bibbis2=document.getElementsByClassName("bibbi2");
    let h=bibbis2.length;
    for(let a=0;a<k;a++)
    {	bibbis1[a].style.display="none";
    }
    for(let b=0;b<h;b++)
    {	bibbis2[b].style.display="none";
    }
	
	if(document.getElementById(qc).getAttribute('class')=="bibbi1")
    {	document.getElementById(qc).style.top = BIBBI_TOP;
		document.getElementById(qc).style.left = BIBBI1_LEFT;
	    document.getElementById(qc).style.width = BIBBI_WIDTH;
	    document.getElementById(qc).style.maxHeight = BIBBI_MAX_HEIGTH;
	}
    else
    {	document.getElementById(qc).style.top = BIBBI_TOP;
		document.getElementById(qc).style.left = BIBBI2_LEFT;
    	document.getElementById(qc).style.width = BIBBI_WIDTH;
    	document.getElementById(qc).style.maxHeight = BIBBI_MAX_HEIGTH;
    }
	document.getElementById(qc).style.display = "none";
	dim=false;	
}
function enlargeIt(div)
{	if(dim==true)
	{	if(document.getElementById(div).getAttribute("class")=="bibbi1")
		{	document.getElementById(div).style.width=BIBBI_WIDTH;
			document.getElementById(div).style.height="auto";
			document.getElementById(div).style.left=BIBBI1_LEFT;
			document.getElementById(div).style.top=BIBBI_TOP;
		  	document.getElementById(div).style.maxHeight=BIBBI_MAX_HEIGTH;
			dim=false;
		}
		else if(document.getElementById(div).getAttribute("class")=="bibbi2") 
		{	document.getElementById(div).style.width=BIBBI_WIDTH;
			document.getElementById(div).style.height="auto";
			document.getElementById(div).style.left=BIBBI2_LEFT;
			document.getElementById(div).style.top=BIBBI_TOP;
		  	document.getElementById(div).style.maxHeight=BIBBI_MAX_HEIGTH;
			dim=false;
		}
	}
	else if(dim==false)
	{	document.getElementById(div).style.width=BIBBI_ENLARGE_WIDTH;
		document.getElementById(div).style.height="auto";
		document.getElementById(div).style.left=BIBBI1_LEFT;
		document.getElementById(div).style.top=BIBBI_ENLARGE_TOP;
		document.getElementById(div).style.maxHeight=BIBBI_ENLARGE_HEIGTH;
		dim=true;
	}		
}
